Subject: Re: rsync hangs (v2.6.2-1 on both Cygwin and Fedora)
From: "Clif J. Smith" <[email-masked]>
To: "Patrick J. LoPresti" <[email-masked]>
Cc: [email-masked]
Date: Sun, 25 Jul 2004 11:51:23 -0500

On Sun, 2004-07-25 at 11:22, Patrick J. LoPresti wrote:
> "Clif J. Smith" writes:
> 
> > I'm trying to rsync data from a WinXP system running Cygwin to a Fedora
> > Core 2 system.  When running the following command from my Fedora
> > system, it'll build a file list for a while, but never actually sync
> > anything and complete:
> > # /usr/bin/rsync -avvvv --delete --numeric-ids --rsh=/usr/bin/ssh \
> > [email-masked]:/cygdrive/d/directory/ /fs1/directory/
> > 
> > It never hangs at the same spot.  I can rsync to other Linux and
> > Solaris systems without issue.  I never see an error, it just
> > hangs...
> 
> You may be seeing the classic "cygwin rsync hang" problem:
> 
>     http://www.cygwin.com/ml/cygwin/2003-10/msg01807.html
> 
> The problem arises because Cygwin's select() indicates "OK to write"
> on pipes even when the pipe is full and the write will block.  The
> write blocks even though the pipe is flagged O_NONBLOCK.
> 
> Bob Byrnes, who did the diagnosis above (and who is a coworker of
> mine) has patched our local copy of Cygwin to implement proper
> select() for writing on pipes, as well as to fix some other hangs.  He
> is working on getting the patches and documentation into shape for
> submission.
> 
>  - Pat
Thanks for the insight and I anxiously await the patch!

cjs

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/